# rest-framework-redesign

Redesign of the browsable API of Django REST Framework using Bootstrap 5.

This project is aimed at enhancing the user experience of the browsable API of Django REST Framework. 
With a sleek and modern design, the API is now more user-friendly than ever before. 
One of the most exciting features of the project is the support for dark mode. 
This means that users can now switch to a darker color scheme, which is not only easier on the eyes but also looks incredibly cool.

Our goal with rest-framework-redesign has always been to make it easier for developers to work with Django REST Framework.
We believe that by improving the user experience, we can help developers save time and be more productive.

So if you're looking for a better way to work with Django REST Framework, be sure to check out rest-framework-redesign.
We're confident that you'll love it as much as we do!


## Get started

Install the package:

```bash
pip install rest-framework-redesign
```

Add `rest_framework_redesign` to `INSTALLED_APPS` setting, make sure that it's before `rest_framework`

```python
# settings.py

INSTALLED_APPS = [
    ...
    'rest_framework_redesign',
    'rest_framework',
    ...
]
```

Include `rest_framework.urls` in your project URLConf

```python
# urls.py

...
from django.urls import path, include

urlpatterns = [
    ...
    path('auth/', include('rest_framework.urls')),
    ...
]
```

I hope you find this useful.
